#ifndef __gui__dialog__information_h
#define __gui__dialog__information_h
#include <QDialog>
#include <functional>
namespace Anime {
class Anime;
}

class InformationDialog : public QDialog {
		Q_OBJECT

	public:
		InformationDialog(const Anime::Anime& anime, std::function<void()> accept, QWidget* parent = nullptr);

	private:
		int id;
		void SaveData();
};
#endif // __gui__dialog__information_h
